%global realname cl
%global upstream tonyrog


Name:		erlang-%{realname}
Version:	1.2.1
Release:	12%{?dist}
Summary:	OpenCL binding for Erlang
Group:		Development/Languages
License:	MIT
URL:		https://github.com/%{upstream}/%{realname}
%if 0%{?el7}%{?fedora}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
%endif
Source0:	https://github.com/%{upstream}/%{realname}/archive/cl-%{version}/%{realname}-%{version}.tar.gz
BuildRequires:	erlang-edown
BuildRequires:	erlang-rebar
BuildRequires:	opencl-headers
BuildRequires:	ocl-icd-devel
%{?__erlang_nif_version:Requires: %{__erlang_nif_version}}


%description
OpenCL binding for Erlang.


%prep
%setup -q -n %{realname}-cl-%{version}


%build
%{erlang_compile}


%install
%{erlang_install}


%check
# Can't pass autotests for now due to limited OpenCL support in Fedora (?)
#%%{erlang_test}


%files
%license COPYRIGHT
%doc README examples/
%{erlang_appdir}/


%changelog
* Sun Aug 07 2016 Igor Gnatenko <ignatenko@redhat.com> - 1.2.1-12
- Rebuild for Erlang 19

* Fri Apr 15 2016 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-11
- Drop unneeded macro

* Sat Apr  2 2016 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-10
- Rebuild with Erlang 18.3

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 18 2016 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-9
- Rebuild with Erlang 18.2.2

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Nov 04 2014 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-6
- Rebuild with Erlang 17.3.3

* Thu Aug 28 2014 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-5
- Rebuild with Erlang 17.2.1

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jul 12 2014 Ville Skyttä <ville.skytta@iki.fi> - 1.2.1-3
- Use new erlang macros to build with $RPM_OPT/LD_FLAGS etc, verbosely

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Oct 30 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-1
- Initial package
